/*
** NETUTILS.H
**
**      This header file contains the public HTTP interfaces used by the
**		Sambar Server for interfacing with the Network Utilities.
**
**		Confidential Property of Tod Sambar
**		(c) Copyright Tod Sambar 1997
**		All rights reserved.
**
**
** History:
** Chg#	Date	Description												Resp
** ----	-------	-------------------------------------------------------	----
**		2FEB97	Created													sambar
*/

#if     !defined(__NETUTILS_H__)
#define __NETUTILS_H__

#include	<sambar.h>

/*
** Sambar Server/Finacial Tools DLL Function Prototypes
*/
#if defined(__cplusplus)
extern "C" {
#endif /* defined(__cplusplus) */

extern SA_RETCODE SA_EXPORT 	netutils_init(SA_CTX *sactx);

/*
** Network Utilities
*/
extern SA_RETCODE SA_PUBLIC		ipname_lookup(SA_CTX *sactx, SA_CONN *saconn,
									SA_PARAMS *saparams, SA_INT *infop);
extern SA_RETCODE SA_PUBLIC		ipname_scalar(SA_CTX *sactx, SA_CONN *saconn,
									SA_ARG *saargs, SA_CHAR *value);
extern SA_RETCODE SA_PUBLIC		whois_lookup(SA_CTX *sactx, SA_CONN *saconn,
									SA_PARAMS *saparams, SA_INT *infop);
extern SA_RETCODE SA_PUBLIC		finger_lookup(SA_CTX *sactx, SA_CONN *saconn,
									SA_PARAMS *saparams, SA_INT *infop);

#if defined(__cplusplus)
}
#endif /* defined(__cplusplus) */

#endif /* __NETUTILS_H__ */
